Bug 108059 - [icl rps][CI] [DRMTIP] igt@pm_rps@* - fail - Test assertion failure function waitboost - post_freqs[CUR] < post_freqs[MAX]
Summary: [icl rps][CI] [DRMTIP] igt@pm_rps@* - fail - Test assertion failure function ...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other Linux (All)
: medium normal
Assignee: Mika Kuoppala
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: Triaged, ReadyForDev
Keywords:
: 108344 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-09-25 13:27 UTC by Lakshmi
Modified: 2019-08-16 06:58 UTC (History)
5 users (show)

See Also:
i915 platform: ICL
i915 features: power/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2018-09-25 13:27:02 UTC
The test igt@pm_rps@reset hits the following assertion on our ICL system:
Starting subtest: reset
(pm_rps:1373) CRITICAL: Test assertion failure function waitboost, file ../tests/pm_rps.c:608:
(pm_rps:1373) CRITICAL: Failed assertion: post_freqs[CUR] < post_freqs[MAX]
(pm_rps:1373) CRITICAL: error: 600 >= 600
Subtest reset failed.

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_117/fi-icl-u/igt@pm_rps@reset.html
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_117/fi-icl-u/igt@pm_rps@min-max-config-loaded.html
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_117/fi-icl-u/igt@pm_rps@waitboost.html
Comment 1 CI Bug Log 2019-03-13 11:33:53 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@pm_rps@min-max-config-loaded - Failed assertion: freqs[MAX] &lt;= freqs[CUR] (No new failures associated)
Comment 2 CI Bug Log 2019-03-13 11:39:29 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL:  igt@pm_rps@.* - Failed assertion: boost_freqs[CUR] == boost_freqs[BOOST] (No new failures associated)
Comment 3 Chris Wilson 2019-03-13 11:55:15 UTC
*** Bug 108344 has been marked as a duplicate of this bug. ***
Comment 4 Francesco Balestrieri 2019-04-11 04:33:56 UTC
Will be fixed once https://patchwork.freedesktop.org/series/59278/ is merged.
Comment 5 Chris Wilson 2019-04-11 07:46:17 UTC
commit 917dc6b53c273dd7e026f158ad4894ae366da326 (HEAD -> drm-intel-next-queued, 
drm-intel/for-linux-next, drm-intel/drm-intel-next-queued)
Author: Mika Kuoppala <mika.kuoppala@linux.intel.com>
Date:   Wed Apr 10 13:59:22 2019 +0300

    drm/i915: Use Engine1 instance for gen11 pm interrupts
    
    With gen11 the interrupt registers are shared between 2 engines,
    with Engine1 instance being upper word and Engine0 instance being
    lower. Annoyingly gen11 selected the pm interrupts to be in the
    Engine1 instance.
    
    Rectify the situation by shifting the access accordingly,
    based on gen.
    
    v2: comments, warn on overzealous rps_events
    
    Bugzilla: https://bugzilla.freedesktop.org/show_bug.cgi?id=108059
    Testcase: igt/i915_pm_rps@min-max-config-loaded
    Cc: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>
    Acked-by: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190410105923.18546-6-mika.kuoppala@linux.intel.com
Comment 6 Lakshmi 2019-08-15 08:15:14 UTC
Reopening this issue as there are new occurrences. Here are the latest failures where logs are available

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6706/shard-iclb2/igt@i915_pm_rps@min-max-config-loaded.html

Starting subtest: min-max-config-loaded
(i915_pm_rps:2348) CRITICAL: Test assertion failure function loaded_check, file ../tests/i915/i915_pm_rps.c:503:
(i915_pm_rps:2348) CRITICAL: Failed assertion: freqs[MAX] <= freqs[CUR]
(i915_pm_rps:2348) CRITICAL: Last errno: 2, No such file or directory
(i915_pm_rps:2348) CRITICAL: error: 1050 > 1017
Subtest min-max-config-loaded failed.

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6650/shard-iclb1/igt@i915_pm_rps@reset.html

Starting subtest: reset
(i915_pm_rps:1153) CRITICAL: Test assertion failure function waitboost, file ../tests/i915/i915_pm_rps.c:607:
(i915_pm_rps:1153) CRITICAL: Failed assertion: boost_freqs[CUR] == boost_freqs[BOOST]
(i915_pm_rps:1153) CRITICAL: error: 450 != 1050
Subtest reset failed.
**** DEBUG ****
Comment 7 Lakshmi 2019-08-15 08:16:42 UTC
(In reply to Lakshmi from comment #6)
> Reopening this issue as there are new occurrences. Here are the latest
> failures where logs are available
> 
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6706/shard-iclb2/
> igt@i915_pm_rps@min-max-config-loaded.html
> 
> Starting subtest: min-max-config-loaded
> (i915_pm_rps:2348) CRITICAL: Test assertion failure function loaded_check,
> file ../tests/i915/i915_pm_rps.c:503:
> (i915_pm_rps:2348) CRITICAL: Failed assertion: freqs[MAX] <= freqs[CUR]
> (i915_pm_rps:2348) CRITICAL: Last errno: 2, No such file or directory
> (i915_pm_rps:2348) CRITICAL: error: 1050 > 1017
> Subtest min-max-config-loaded failed.
> 
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6650/shard-iclb1/
> igt@i915_pm_rps@reset.html
> 
> Starting subtest: reset
> (i915_pm_rps:1153) CRITICAL: Test assertion failure function waitboost, file
> ../tests/i915/i915_pm_rps.c:607:
> (i915_pm_rps:1153) CRITICAL: Failed assertion: boost_freqs[CUR] ==
> boost_freqs[BOOST]
> (i915_pm_rps:1153) CRITICAL: error: 450 != 1050
> Subtest reset failed.
> **** DEBUG ****

Adding Chris here.
Comment 8 Mika Kuoppala 2019-08-15 12:57:05 UTC
This smells like a new bug to me. I would open a new one. Chris?
Comment 9 Chris Wilson 2019-08-15 13:01:20 UTC
It's certainly not the same bug and it misbehaved on a few machines, then corrected itself again. It's a relatively noisy test that I am not too worried about -- there are a lot of scheduling factors at play with it being a worker, so long as the debugfs show that we were setting the right flags, I can be responsibly reassured. Doesn't speak well of the boost from a QoS pov though.
Comment 10 Lakshmi 2019-08-16 06:44:43 UTC
Bug 111409 is created to track these failures (Comment 6). Closing this bug.
Comment 11 Lakshmi 2019-08-16 06:58:35 UTC
Last seen original issue 4 months ago ( igt@pm_rps@min-max-config-loaded - Failed assertion: freqs[MAX] <= freqs[CUR]), until then the reproduction rate was 100%. Closing this issue as Fixed.

A separate bug 111409 is created to track other issues.
Comment 12 CI Bug Log 2019-08-16 06:58:40 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.